<ul>
  {{ $currentPage := . }}
  {{ if eq $currentPage.Section "" }}
  {{ $currentPage = .Site.GetPage .Site.Params.default_version }}
  {{ end }}
  {{ range $currentPage.FirstSection.Pages }}
  <li class="menu-item-{{ .Title | lower }}">
    <a href="{{ .Permalink  }}">
      <span>{{ .Name }}</span>
    </a>
  </li>
  {{ end }}

  {{ if eq $.Site.Params.default_version $currentPage.Section }}
    <li class="menu-item-version">
      <a title="Go to version overview." href="{{ ref . "/versions.md" }}">
        <span>v{{ $currentPage.Section }}</span>
      </a>
    </li>
  {{ else }}
    <li class="menu-item-version-old">
      <a title="Warning! This is not the latest version. Go to version overview." href="{{ ref . "/versions.md" }}"><span>{{ $currentPage.Section }}</span></a>
    </li>
  {{ end }}
</ul>
